OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaShellMembraneStiffness Class Reference

Representation of STEP entity FeaShellMembraneStiffness
.

`#include <StepFEA_FeaShellMembraneStiffness.hxx>`

Inheritance diagram for StepFEA_FeaShellMembraneStiffness:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_FeaShellMembraneStiffness ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const StepFEA_SymmetricTensor42d &aFeaConstants)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepFEA_SymmetricTensor42d | FeaConstants () const
| Returns field FeaConstants .
Standard_EXPORT void | SetFeaConstants (const StepFEA_SymmetricTensor42d &FeaConstants)
| Set field FeaConstants .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepFEA_SymmetricTensor42d | theFeaConstants

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaShellMembraneStiffness::StepFEA_FeaShellMembraneStiffness | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepFEA_SymmetricTensor42d StepFEA_FeaShellMembraneStiffness::FeaConstants | ( |  | ) | const

Standard_EXPORT const StepFEA_FeaShellMembraneStiffness::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaMaterialPropertyRepresentationItem.

Standard_EXPORT void StepFEA_FeaShellMembraneStiffness::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const StepFEA_SymmetricTensor42d & | aFeaConstants
| ) |

Standard_EXPORT void StepFEA_FeaShellMembraneStiffness::SetFeaConstants | ( | const StepFEA_SymmetricTensor42d & | FeaConstants | ) |

## Field Documentation

StepFEA_SymmetricTensor42d StepFEA_FeaShellMembraneStiffness::theFeaConstants`[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaShellMembraneStiffness.hxx